Ana içeriğe atla
GET
/
customer
/
v2
/
orders
/
{reference}
Order Detail
curl --request GET \
  --url https://orbitflare.com/api/customer/v2/orders/{reference} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "message": "<string>",
  "data": {
    "reference": "<string>",
    "status": "<string>",
    "payment_status": "<string>",
    "payment_method": "<string>",
    "product": {
      "name": "<string>",
      "slug": "<string>"
    },
    "billing_period": "<string>",
    "total_amount": 123,
    "pricing_breakdown": {},
    "placed_at": "2023-11-07T05:31:56Z",
    "paid_at": "2023-11-07T05:31:56Z",
    "fulfilled_at": "2023-11-07T05:31:56Z",
    "invoice": {
      "reference": "<string>",
      "status": "<string>",
      "billing_total": 123
    },
    "license": {
      "key": "<string>",
      "slug": "<string>",
      "status": "<string>",
      "renewal_date": "2023-11-07T05:31:56Z"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.orbitflare.com/llms.txt

Use this file to discover all available pages before exploring further.

Yetkilendirmeler

Authorization
string
header
gerekli

Bearer token from device or wallet auth

Yol Parametreleri

reference
string
gerekli

Order reference (e.g. ORD-ABC123).

Yanıt

Order retrieved.

success
boolean
Örnek:

true

message
string
data
object